/*
 * Libreswan config file parser (keywords.c)
 * Copyright (C) 2003-2006 Michael Richardson <mcr@xelerance.com>
 * Copyright (C) 2007-2010 Paul Wouters <paul@xelerance.com>
 * Copyright (C) 2012 Paul Wouters <paul@libreswan.org>
 * Copyright (C) 2013-2019 Paul Wouters <pwouters@redhat.com>
 * Copyright (C) 2013-2019 D. Hugh Redelmeier <hugh@mimosa.com>
 * Copyright (C) 2013 David McCullough <ucdevel@gmail.com>
 * Copyright (C) 2013-2016 Antony Antony <antony@phenome.org>
 * Copyright (C) 2016-2022 Andrew Cagney
 * Copyright (C) 2017 Mayank Totale <mtotale@gmail.com>
 * Copyright (C) 2020 Yulia Kuzovkova <ukuzovkova@gmail.com>
 * Copyright (C) 2020 Nupur Agrawal <nupur202000@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.  See <https://www.gnu.org/licenses/gpl2.txt>.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 */

#include "pluto_constants.h"	/* for enum keyword_host */
#include "sparse_names.h"

const struct sparse_names keyword_host_names = {
	.list = {
		SPARSE("%defaultroute",  KH_DEFAULTROUTE),
		SPARSE("%any",           KH_ANY),
		SPARSE("%oppo",          KH_OPPO),
		SPARSE("%opportunistic", KH_OPPO),
		SPARSE("%opportunisticgroup", KH_OPPOGROUP),
		SPARSE("%oppogroup",     KH_OPPOGROUP),
		SPARSE("%group",         KH_GROUP),
		SPARSE("%direct",        KH_DIRECT),
		SPARSE("<hostname>",     KH_IPHOSTNAME),
		SPARSE("<address>",      KH_IPADDR),
		SPARSE("<not-set>",      KH_NOTSET),
		SPARSE_NULL
	},
};
